<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}
{% block content %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load i18n %}

<span><a href="{{ previous_month_url }}">&larr; {% trans "Previous" %}</a><span>&nbsp;</span></span>{% if  day.year < now.year or day.month < now.month %}<span><a href="{{ next_month_url }}">{% trans "Next" %} &rarr;</a></span>{% endif %}
<h1><span>{% trans "Sells" %} &nbsp;</span><a href="{{ obj.get_absolute_url }}" target="_blank">{{ obj.name | title }}</a>{% if  obj.discount >= 0 %}<span>&nbsp; ({{ obj.discount }}%)</span>{% endif %}<span>&nbsp; - &nbsp;</span><span>{{ day | date:'F o' | title }}</span>
</h1>
<div class="row">
  <div class="col-md-3 panel panel-info">
    <div class="panel-heading">{% trans "Total" %}</div>
    <div class="panel-body">{{ total_fmt }} / {{ total_public_price_fmt }}</div>
  </div>
</div>
<div class="col-md-9">{% if  sells %}
  <table class="table table-striped">
    <thead>
      <th>{% trans "Title" %}</th>
      <th>{% trans "Authors" %}</th>
      <th class="text-right">{% trans "Price sold" %}</th>
      <th class="text-right">{% trans "Public price" %}</th>
      <th class="text-right"> {% trans "En stock" %} </th>
      <th class="text-right"> </th>
      <th class="text-right"> </th>
    </thead>

    {% for it in sells %}
    <tr>
      <td><a href="{{ it.card.get_absolute_url }}">{{ it.card.title | title }}</a>
      </td>
      <td>{{ it.card.authors_repr }}</td>
      <td class="text-right">{{ it.price_sold_fmt }}</td>
      <td class="text-right">{{ it.price_init_fmt }}</td>
      <td class="text-right">{% if  it.quantity > 1 %}<span>x {{ it.quantity }}</span>{% endif %}
      </td>

      <td>
        <span title="{% trans 'En stock' %}"> {{ it.card.quantity }} </span>
      </td>

      <td>

        <span class="btn-group", style="margin-left: 1em" data-comment="copied from card_show, copied from history_sells_day. I just moved the it.card.quantity in the td above, the block below worked straight away.">
          {% if user.is_staff %}
          <a class="btn btn-warning" title='{% trans "Remember to command this card. Add it to the list for later." %}' onclick="card_command({{ it.card.pk }})">
            {% else %}
            <!-- Same, no onclick -->
            <a class="btn btn-warning" title='{% trans "Remember to command this card. Add it to the list for later." %}' disabled>
              {% endif %}
              <i class="glyphicon glyphicon-shopping-cart"> </i>
              <span> x
                <span id="nb_to_command_{{ it.card.pk }}"> {{ it.card.quantity_to_command }}
                </span>
              </span>
            </a>
        </span>
      </td>


    </tr>{% endfor %}
  </table>{% endif %}
</div>

{% endblock content %}
